Package org.eclipse.graphiti.pattern.config

## Interface IMinimumSizeConfiguration

All Superinterfaces:
  `IPatternConfiguration`

    public interface IMinimumSizeConfiguration
    extends IPatternConfiguration

The Interface IMinimumSizeConfiguration.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMinimumHeight()` Gets the minimum height.
`int` `getMinimumWidth()` Gets the minimum width.
`void` `setMinimumHeight​(int minimumHeight)` Sets the minimum height.
`void` `setMinimumWidth​(int minimumWidth)` Sets the minimum width.

### Method Detail

#### getMinimumHeight

    int getMinimumHeight()

Gets the minimum height.

Returns:
  the minimum height

#### getMinimumWidth

    int getMinimumWidth()

Gets the minimum width.

Returns:
  the minimum width

#### setMinimumHeight

    void setMinimumHeight​(int minimumHeight)

Sets the minimum height.

Parameters:
  `minimumHeight` - the new minimum height

#### setMinimumWidth

    void setMinimumWidth​(int minimumWidth)

Sets the minimum width.

Parameters:
  `minimumWidth` - the new minimum width